=== debian/changelog ===
grisbi (1.0.2-3build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:33 +0000

grisbi (1.0.2-3) unstable; urgency=medium

  * Remove dependency on libgoffice-0.8-dev since goffice-0.8 will be removed
    from Debian. Grisbi 1.1 will have support of goffice-1.0
  * debian/rules: use hardening=+all
  * debian/grisbi.menu: remove the Debian menu file since the package already
    provides a grisbi.desktop file.
    See https://lists.debian.org/debian-devel-announce/2015/09/msg00000.html
  * Bump Standards-Version from 3.9.5 to 3.9.8

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 24 Nov 2017 15:02:25 +0100

grisbi (1.0.2-2) unstable; urgency=medium

  * Fix "qif export - wrong amount format (french while should be
    english in all cases)" Use patch from upstream (Closes: #742777)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 20 Sep 2017 18:09:27 +0200

grisbi (1.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 17 Jun 2017 11:53:32 +0200
