## grisbi 1.0.4

=== debian/changelog ===
grisbi (1.0.4-1) unstable; urgency=medium

  * New upstream release
  * d/patches/0006-disable-year_auto.patch: removed

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 02 Jun 2018 17:58:43 +0200

grisbi (1.0.3-2) unstable; urgency=medium

  * d/patches/0006-disable-year_auto.patch: apply patch from upstream

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 17 May 2018 17:56:29 +0200

grisbi (1.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 06 May 2018 21:06:20 +0200
