=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: grisbi
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stéphane Glondu <glondu@debian.org>
+Maintainer: Stéphane Glondu <glondu@debian.org>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>,
  Ludovic Rousseau <rousseau@debian.org>
 Build-Depends:
