## grisbi 1.2.0

=== debian/changelog ===
grisbi (1.2.0-2) unstable; urgency=medium

  * re-pload to unstable

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 27 Jan 2019 15:16:47 +0100

grisbi (1.2.0-1) experimental; urgency=medium

  * new upstream version 1.2.0
  * d/gbp.conf: move back to master branch

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 27 Jan 2019 15:05:05 +0100

grisbi (1.1.96-1) experimental; urgency=medium

  * new upstream version 1.1.96

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Jan 2019 21:51:40 +0100

grisbi (1.1.95-1) experimental; urgency=medium

  [ Roberto C. Sanchez ]
  * d/control: Fix uploader email address
  * d/control: Update Vcs-Git, Vcs-Browser to point to Salsa
  * Update to Standards-Version 4.2.1 (no changes required)

  [ Ludovic Rousseau ]
  * new upstream version 1.1.95
  * d/compat: update from 10 to 12
  * d/control: Standards-Version: 4.2.1 -> 4.3.0. No change needed.
  * d/rules: Do not use override_dh_install. gschemas.compiled is no more
    installed by default. See #883801

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 30 Dec 2018 21:49:11 +0100

grisbi (1.1.94-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Ludovic Rousseau ]
  * new upstream version 1.1.94
  * d/control: remove autotools-dev from Build-Depends since we use debhelper
    10
    grisbi source: useless-autoreconf-build-depends autotools-dev

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 01 Dec 2018 21:55:13 +0100

grisbi (1.1.93-1) experimental; urgency=medium

  * New upstream version 1.1.93

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 03 Jun 2018 16:28:19 +0200

grisbi (1.1.92-2) experimental; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: remove Stéphane Glondu as Maintainer: on his request

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 25 Mar 2018 16:42:09 +0200

grisbi (1.1.92-1) experimental; urgency=medium

  * New upstream version 1.1.92

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 23 Mar 2018 18:16:50 +0100

grisbi (1.1.91-1) experimental; urgency=medium

  * Fix lintian warning: desktop-mime-but-no-exec-code
  * New upstream version 1.1.91

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 21 Jan 2018 16:09:06 +0100

grisbi (1.1.90-2) experimental; urgency=medium

  * Do not ship /usr/share/glib-2.0/schemas/gschemas.compiled
    (Closes: #883801)
  * Upgrade to debhelper 10 (from 9)
  * debhelper 10 now uses autoreconf by default
  * Add _Keywords= key
  * Update icon size
  * Debian patches now uses git-buildpackage

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 24 Dec 2017 21:30:54 +0100

grisbi (1.1.90-1) experimental; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 30 Nov 2017 19:06:31 +0100
