## grisbi 1.2.2

=== debian/changelog ===
grisbi (1.2.2-1) unstable; urgency=medium

  * new upstream version 1.2.2

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 13 Apr 2019 18:54:39 +0200

grisbi (1.2.1-1) unstable; urgency=medium

  * new upstream version 1.2.1

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 02 Mar 2019 07:46:39 +0100
