=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: grisbi
 Section: x11
 Priority: optional
-Maintainer: Stéphane Glondu <glondu@debian.org>
-Uploaders: Roberto C. Sanchez <roberto@connexer.com>,
- Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Uploaders: Roberto C. Sanchez <roberto@debian.org>
 Build-Depends:
- debhelper (>= 9),
- libgtk2.0-dev,
- libxml2-dev,
+ chrpath,
+ debhelper (>= 12),
+ intltool,
+ libgoffice-0.10-dev,
+ libgsf-1-dev,
+ libgtk-3-dev,
  libofx-dev,
  libssl-dev,
- autotools-dev,
- intltool,
- chrpath
-Standards-Version: 3.9.8
+ libxml2-dev
+Standards-Version: 4.3.0
 Homepage: http://www.grisbi.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/grisbi.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/grisbi.git
+Vcs-Browser: https://salsa.debian.org/debian/grisbi
+Vcs-Git: https://salsa.debian.org/debian/grisbi.git
 
 Package: grisbi
 Architecture: any
