=== debian/watch ===
version=3
https://sf.net/grisbi/grisbi-(\d+\.\d*[02468](?:\.\d+)*)\.tar\.(?:gz|bz2)
