## grisbi 2.0.3

=== debian/changelog ===
grisbi (2.0.3-1) unstable; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 23 Feb 2021 11:19:12 +0100

grisbi (2.0.2-1) unstable; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 08 Feb 2021 09:39:35 +0100

grisbi (2.0.1-1) unstable; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 31 Jan 2021 21:28:38 +0100

grisbi (2.0.0-1) unstable; urgency=medium

  * new upstream release
  * d/control: Standards-Version: 4.5.0 -> 4.5.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 12 Jan 2021 09:59:29 +0100

grisbi (1.9.99-1) experimental; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 04 Jan 2021 22:52:18 +0100

grisbi (1.9.98-1) experimental; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 03 Jan 2021 17:37:11 +0100

grisbi (1.9.97-2-1) experimental; urgency=medium

  * new upstream version 1.9.97-2
  * d/patches/0001-Fix-automatic-definition-detection.patch: included upstream
  * Fix "Save (Ctrl+S) still saves even when escaping confirmation
    dialog" fixed upstream (Closes: #954345)
  * Fix "rounds JPY to EUR exchange fees value incorrectly when saving
    gsb file to disk" fixed upstream (Closes: #933872)
  * Fix "text unreadable when GTK theme is Adwaita-Dark" fixed upstream
    (Closes: #943639)

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 12 Dec 2020 17:16:04 +0100

grisbi (1.9.97-2) experimental; urgency=medium

  * d/patches/0001-Fix-automatic-definition-detection.patch: patch from
    upstream

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 06 Dec 2020 15:13:34 +0100

grisbi (1.9.97-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + grisbi-common: Add Multi-Arch: foreign.

  [ Ludovic Rousseau ]
  * new upstream version 1.9.97
  * d/patches/0001-Tune-grisbi.desktop.patch: removed, now fixed upstream
  * d/watch: move from version 3 to 4. No change needed.
    I: grisbi source: older-debian-watch-file-standard 3

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 06 Dec 2020 14:30:43 +0100

grisbi (1.9.96-2) experimental; urgency=medium

  * d/control: remove Build-Depends: libbrotli-dev
  * d/p/0001-Tune-grisbi.desktop.patch: use a Icon with no extension

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 05 Jul 2020 10:52:59 +0200

grisbi (1.9.96-1) experimental; urgency=medium

  * new upstream version 1.9.96
  * d/p/0001-Tune-grisbi.desktop.patch: icon renamed .svg from .png
  * d/control: add Build-Depends: libbrotli-dev to avoid #964185

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 03 Jul 2020 21:32:45 +0200

grisbi (1.9.95-1) experimental; urgency=medium

  * new upstream version 1.9.95
  * d/control: Build-Depends: debhelper-compat (= 13)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 16 Jun 2020 16:15:35 +0200

grisbi (1.9.91-1) experimental; urgency=medium

  * new upstream version 1.9.91
  * d/p/0003-update-POTFILES.in: remove since included upstream
  * d/d/0001-Tune-grisbi.desktop.patch: refresh
  * d/control: Standards-Version: 4.3.0 -> 4.5.0. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 02 Apr 2020 13:15:15 +0200

grisbi (1.9.90-1) experimental; urgency=medium

  * new upstream version 1.9.90
  * d/p/0003-update-POTFILES.in: fix build failure
  * d/control: add Rules-Requires-Root: no
  * d/control: use Build-Depends: debhelper-compat (= 12)

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 13 Apr 2019 18:54:39 +0200
