=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Roberto C. Sanchez <roberto@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  intltool,
  libgoffice-0.10-dev,
  libgsf-1-dev,
@@ -13,7 +13,8 @@
  libofx-dev,
  libssl-dev,
  libxml2-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://www.grisbi.org/
 Vcs-Browser: https://salsa.debian.org/debian/grisbi
 Vcs-Git: https://salsa.debian.org/debian/grisbi.git
@@ -41,6 +42,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: grisbi (<< 0.5.9-5)
 Replaces: grisbi (<< 0.5.9-5)
+Multi-Arch: foreign
 Description: shared files for the finance management program Grisbi
  Grisbi is a personal accounting program. Grisbi can handle multiple
  accounts, currencies and users. It helps you manage your money using
