## grisbi 2.0.5

=== debian/changelog ===
grisbi (2.0.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Archive, Bug-Submit (from ./configure).
  * Remove constraints unnecessary since buster:
    + grisbi-common: Drop versioned constraint on grisbi in Replaces.
    + grisbi-common: Drop versioned constraint on grisbi in Breaks.

  [ Ludovic Rousseau ]
  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 06 Sep 2021 19:11:06 +0200

grisbi (2.0.4-2) unstable; urgency=medium

  * upload to unstable

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 23 Aug 2021 21:38:09 +0200

grisbi (2.0.4-1) experimental; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 22 Jun 2021 15:16:45 +0200
