=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libxml2-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.grisbi.org/
+Homepage: https://www.grisbi.org/
 Vcs-Browser: https://salsa.debian.org/debian/grisbi
 Vcs-Git: https://salsa.debian.org/debian/grisbi.git
 
@@ -40,8 +40,6 @@
 Package: grisbi-common
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: grisbi (<< 0.5.9-5)
-Replaces: grisbi (<< 0.5.9-5)
 Multi-Arch: foreign
 Description: shared files for the finance management program Grisbi
  Grisbi is a personal accounting program. Grisbi can handle multiple
