## grisbi 3.0.2

=== debian/changelog ===
grisbi (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * d/p/0002-Add-.pc-quilt...: remove now useless patch

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 17 Jan 2024 19:04:21 +0100

grisbi (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: update date

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 12 Dec 2023 21:52:55 +0100

grisbi (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * .xml file moved in usr/share/metainfo
  * missing-sources: the manual source code in not included
  * d/control: upgrade Standards-Version: 4.5.1 -> 3.6.2: no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 18 Nov 2023 14:36:58 +0100
