## grisbi 3.0.3

=== debian/changelog ===
grisbi (3.0.3-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:24 +1100

grisbi (3.0.3-1build2) noble; urgency=high

  * No change rebuild against libofx7t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:22:50 +0100

grisbi (3.0.3-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:08:47 +0000

grisbi (3.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 21 Jan 2024 22:36:51 +0100
