=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: grisbi
 Section: x11
 Priority: optional
-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Roberto C. Sanchez <roberto@debian.org>
 Build-Depends:
  chrpath,
@@ -13,7 +14,7 @@
  libofx-dev,
  libssl-dev,
  libxml2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.grisbi.org/
 Vcs-Browser: https://salsa.debian.org/debian/grisbi
