## grisbi 3.0.4

=== debian/changelog ===
grisbi (3.0.4-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:05:21 +0200

grisbi (3.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 16 Jun 2024 16:48:23 +0200
