=== debian/watch ===
version=4
https://sf.net/grisbi/grisbi-(\d+\.\d*[02468](?:\.\d+)*)\.tar\.(?:gz|bz2)
