## grisbi 3.90.0

=== debian/changelog ===
grisbi (3.90.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Build-Depends: meson
  * d/gbp.conf: upstream compression is xz
  * d/rules: force use of meson
  * d/copyright: update fsf address
  * d/control: upgrade Standards-Version: 4.6.2 -> 3.7.2: no change needed
  * d/upstream/metadata: add Repository fields
  * d/copyright: update-debian-copyright
  * d/grisbi.README.Debian: removed
  * d/watch: upgrade to version 5
  * d/control: remove Rules-Requires-Root

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 20 Nov 2025 23:39:01 +0100
