=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: grisbi
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Roberto C. Sanchez <roberto@debian.org>
 Build-Depends:
  chrpath,
@@ -13,9 +12,9 @@
  libgtk-3-dev,
  libofx-dev,
  libssl-dev,
- libxml2-dev
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+ libxml2-dev,
+ meson
+Standards-Version: 4.7.2
 Homepage: https://www.grisbi.org/
 Vcs-Browser: https://salsa.debian.org/debian/grisbi
 Vcs-Git: https://salsa.debian.org/debian/grisbi.git
