=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 %:
 	dh $@
 
+override_dh_autoreconf:
+	rm configure.ac Makefile.am
+
 .PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
