=== debian/watch ===
version: 5

Source: https://sf.net/@PACKAGE@/
Matching-Pattern: @PACKAGE@-(\d+\.\d*[02468](?:\.\d+)*)\.tar\.(?:xz)
