## grisbi 3.90.1

=== debian/changelog ===
grisbi (3.90.1-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 31 Dec 2025 18:32:06 +0100
